/**
 * The CD class represents a CD object. Information about the 
 * CD is stored and can be retrieved.
 * 
 * @author Michael Kolling and David J. Barnes
 * @version 2002-05-02
 */
public class CD extends Item
{
    private String artist;
    private int numberOfTracks;

    /**
     * Initialize the CD.
     */
    public CD(String theTitle, String theArtist, int tracks, int time)
    {
        super(theTitle, time);
        artist = theArtist;
        numberOfTracks = tracks;
    }

    /**
     * Gets the artist -- pld
     */
    public String getArtist() {
        return artist;
    }
    
    /**
     * Gets the number of tracks -- pld
     */
    public int getNumberOfTracks() {
        return numberOfTracks;
    }
    
    /**
     * @return String containing artist
     */
    public String getKeywords() {
        return artist;
    }
    
    /**
     * Print details about this CD to the text terminal.
     * This method prints all fields directly, without using the 
     * superclass (class Item) version of print() at all.
     * Instead, Item's accessors are used to get the necessary data.
     */
    public void print()
    {
        System.out.print("CD: " + getTitle() + " (" + getPlayingTime() + " mins)");
        if(getOwn() ) {
            System.out.println("*");
        } else {
            System.out.println();
        }
        System.out.println("    " + artist);
        System.out.println("    tracks: " + numberOfTracks);
        System.out.println("    " + getComment());
    }
}
