/**
 * The Video class represents a video object. Information about the 
 * video is stored and can be retrieved.
 * 
 * @author Michael Kolling and David J. Barnes
 * @version 2002-05-02
 */
public class DVD extends Item
{
    private String director;
    private String star;

    /**
     * Constructor for objects of class Video
     */
    public DVD(String theTitle, String theDirector, String theStar, int time)
    {
        super(theTitle, time);
        director = theDirector;
        star = theStar;
    }

    /**
     * Return the director for this DVD.
     */
    public String getDirector()
    {
        return director;
    }

    /**
     * @return String containing artist
     */
    public String keywords() {
        return director + " " + star;
    }
    
  
    
    /**
     * Print details about this video to the text terminal.
     * This version calls "super.print()", which means calling the
     * print() method as defined in the superclass, Item. 
     * Before that we print "DVD: ", and after that we print the director's name
     */
    public void print()
    {
        System.out.print("DVD: ");
        super.print();
        System.out.println("    " + director);
    }
}
